- Qt 6.5
- Qt SQL
- C++ Classes
- QSqlField
- Qt 6.5.1 Reference Documentation

# Obsolete Members for QSqlField

The following members of class QSqlField are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.0))` | QSqlField(const QString &fieldName, QVariant::Type type, const QString &table = QString())
`(deprecated (6.0))` void | setType(QVariant::Type type)
`(deprecated (6.0))` QVariant::Type | type() const

## Member Function Documentation

### QSqlField::QSqlField(const QString &fieldName, QVariant::Type type, const QString &table = QString())

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use the constructor taking a QMetaType instead.

This is an overloaded function.

Constructs an empty field called fieldName of variant type type in table.

See also setRequiredStatus(), setLength(), setPrecision(), setDefaultValue(), setGenerated(), and setReadOnly().

### void QSqlField::setType(QVariant::Type type)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use setMetaType() instead.

Sets the field's variant type to type.

See also type() and setMetaType().

### QVariant::Type QSqlField::type() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use metaType() instead.

Returns the field's type as stored in the database. Note that the actual value might have a different type, Numerical values that are too large to store in a long int or double are usually stored as strings to prevent precision loss.

See also setType() and metaType().